Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 696242 - dev-python/pyzmq-16.0.2 fails tests
Summary: dev-python/pyzmq-16.0.2 fails tests
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2019-10-04 18:52 UTC by Paolo Pedroni
Modified: 2019-10-05 07:39 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
pyzmq-16.0.2:20191004-184657.log.gz (pyzmq-16.0.2:20191004-184657.log.gz,20.11 KB, application/gzip)
2019-10-04 18:52 UTC, Paolo Pedroni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Pedroni 2019-10-04 18:52:43 UTC
Created attachment 591864 [details]
pyzmq-16.0.2:20191004-184657.log.gz

================================================================== FAILURES ===================================================================
_________________________________________________________ TestFutureSocket.test_poll __________________________________________________________

self = <zmq.tests.test_future.TestFutureSocket testMethod=test_poll>

    def test_poll(self):
        @gen.coroutine
        def test():
            a, b = self.create_bound_pair(zmq.PUSH, zmq.PULL)
            f = b.poll(timeout=0)
            self.assertEqual(f.result(), 0)
    
            f = b.poll(timeout=1)
            assert not f.done()
            evt = yield f
            self.assertEqual(evt, 0)
    
            f = b.poll(timeout=1000)
            assert not f.done()
            yield a.send_multipart([b'hi', b'there'])
            evt = yield f
            self.assertEqual(evt, zmq.POLLIN)
            recvd = yield b.recv_multipart()
            self.assertEqual(recvd, [b'hi', b'there'])
>       self.loop.run_sync(test)

../pyzmq-16.0.2-python2_7/lib/zmq/tests/test_future.py:206: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
/usr/lib64/python2.7/site-packages/tornado/ioloop.py:576: in run_sync
    return future_cell[0].result()
/usr/lib64/python2.7/site-packages/tornado/concurrent.py:261: in result
    raise_exc_info(self._exc_info)
/usr/lib64/python2.7/site-packages/tornado/gen.py:326: in wrapper
    yielded = next(result)
../pyzmq-16.0.2-python2_7/lib/zmq/tests/test_future.py:192: in test
    self.assertEqual(f.result(), 0)
/usr/lib64/python2.7/site-packages/tornado/concurrent.py:264: in result
    self._check_done()
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = <zmq.eventloop.future._TornadoFuture object at 0x7fde8fece0d0>

    def _check_done(self):
        if not self._done:
>           raise Exception("DummyFuture does not support blocking for results")
E           Exception: DummyFuture does not support blocking for results

/usr/lib64/python2.7/site-packages/tornado/concurrent.py:343: Exception
__________________________________________________________ TestIOLoop.test_close_all __________________________________________________________

self = <zmq.tests.test_ioloop.TestIOLoop testMethod=test_close_all>

    def test_close_all(self):
        """Test close(all_fds=True)"""
        loop = ioloop.IOLoop.instance()
        req,rep = self.create_bound_pair(zmq.REQ, zmq.REP)
        loop.add_handler(req, lambda msg: msg, ioloop.IOLoop.READ)
        loop.add_handler(rep, lambda msg: msg, ioloop.IOLoop.READ)
        self.assertEqual(req.closed, False)
        self.assertEqual(rep.closed, False)
>       loop.close(all_fds=True)

../pyzmq-16.0.2-python2_7/lib/zmq/tests/test_ioloop.py:113: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
/usr/lib64/python2.7/site-packages/tornado/ioloop.py:896: in close
    self.remove_handler(self._waker.fileno())
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = <tornado.platform.posix.Waker object at 0x7fde8fe71e90>

    def fileno(self):
>       return self.reader.fileno()
E       ValueError: I/O operation on closed file

/usr/lib64/python2.7/site-packages/tornado/platform/posix.py:47: ValueError
___________________________________________________________ TestIOLoop.test_simple ____________________________________________________________

self = <zmq.tests.test_ioloop.TestIOLoop testMethod=test_simple>

    def test_simple(self):
        """simple IOLoop creation test"""
        loop = ioloop.IOLoop()
        dc = ioloop.PeriodicCallback(loop.stop, 200, loop)
        pc = ioloop.PeriodicCallback(lambda : None, 10, loop)
>       pc.start()

../pyzmq-16.0.2-python2_7/lib/zmq/tests/test_ioloop.py:59: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
/usr/lib64/python2.7/site-packages/tornado/ioloop.py:1209: in start
    self._schedule_next()
/usr/lib64/python2.7/site-packages/tornado/ioloop.py:1237: in _schedule_next
    self._update_next(self.io_loop.time())
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = <tornado.ioloop.PeriodicCallback object at 0x7fde9025edd0>, current_time = 1570214862.969175

    def _update_next(self, current_time):
        callback_time_sec = self.callback_time / 1000.0
        if self.jitter:
            # apply jitter fraction
>           callback_time_sec *= 1 + (self.jitter * (random.random() - 0.5))
E           TypeError: unsupported operand type(s) for *: 'ZMQIOLoop' and 'float'

/usr/lib64/python2.7/site-packages/tornado/ioloop.py:1244: TypeError================================================================== FAILURES ===================================================================
_________________________________________________________ TestFutureSocket.test_poll __________________________________________________________

self = <zmq.tests.test_future.TestFutureSocket testMethod=test_poll>

    def test_poll(self):
        @gen.coroutine
        def test():
            a, b = self.create_bound_pair(zmq.PUSH, zmq.PULL)
            f = b.poll(timeout=0)
            self.assertEqual(f.result(), 0)
    
            f = b.poll(timeout=1)
            assert not f.done()
            evt = yield f
            self.assertEqual(evt, 0)
    
            f = b.poll(timeout=1000)
            assert not f.done()
            yield a.send_multipart([b'hi', b'there'])
            evt = yield f
            self.assertEqual(evt, zmq.POLLIN)
            recvd = yield b.recv_multipart()
            self.assertEqual(recvd, [b'hi', b'there'])
>       self.loop.run_sync(test)

../pyzmq-16.0.2-python2_7/lib/zmq/tests/test_future.py:206: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
/usr/lib64/python2.7/site-packages/tornado/ioloop.py:576: in run_sync
    return future_cell[0].result()
/usr/lib64/python2.7/site-packages/tornado/concurrent.py:261: in result
    raise_exc_info(self._exc_info)
/usr/lib64/python2.7/site-packages/tornado/gen.py:326: in wrapper
    yielded = next(result)
../pyzmq-16.0.2-python2_7/lib/zmq/tests/test_future.py:192: in test
    self.assertEqual(f.result(), 0)
/usr/lib64/python2.7/site-packages/tornado/concurrent.py:264: in result
    self._check_done()
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = <zmq.eventloop.future._TornadoFuture object at 0x7fde8fece0d0>

    def _check_done(self):
        if not self._done:
>           raise Exception("DummyFuture does not support blocking for results")
E           Exception: DummyFuture does not support blocking for results

/usr/lib64/python2.7/site-packages/tornado/concurrent.py:343: Exception
__________________________________________________________ TestIOLoop.test_close_all __________________________________________________________

self = <zmq.tests.test_ioloop.TestIOLoop testMethod=test_close_all>

    def test_close_all(self):
        """Test close(all_fds=True)"""
        loop = ioloop.IOLoop.instance()
        req,rep = self.create_bound_pair(zmq.REQ, zmq.REP)
        loop.add_handler(req, lambda msg: msg, ioloop.IOLoop.READ)
        loop.add_handler(rep, lambda msg: msg, ioloop.IOLoop.READ)
        self.assertEqual(req.closed, False)
        self.assertEqual(rep.closed, False)
>       loop.close(all_fds=True)

../pyzmq-16.0.2-python2_7/lib/zmq/tests/test_ioloop.py:113: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
/usr/lib64/python2.7/site-packages/tornado/ioloop.py:896: in close
    self.remove_handler(self._waker.fileno())
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = <tornado.platform.posix.Waker object at 0x7fde8fe71e90>

    def fileno(self):
>       return self.reader.fileno()
E       ValueError: I/O operation on closed file

/usr/lib64/python2.7/site-packages/tornado/platform/posix.py:47: ValueError
___________________________________________________________ TestIOLoop.test_simple ____________________________________________________________

self = <zmq.tests.test_ioloop.TestIOLoop testMethod=test_simple>

    def test_simple(self):
        """simple IOLoop creation test"""
        loop = ioloop.IOLoop()
        dc = ioloop.PeriodicCallback(loop.stop, 200, loop)
        pc = ioloop.PeriodicCallback(lambda : None, 10, loop)
>       pc.start()

../pyzmq-16.0.2-python2_7/lib/zmq/tests/test_ioloop.py:59: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
/usr/lib64/python2.7/site-packages/tornado/ioloop.py:1209: in start
    self._schedule_next()
/usr/lib64/python2.7/site-packages/tornado/ioloop.py:1237: in _schedule_next
    self._update_next(self.io_loop.time())
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = <tornado.ioloop.PeriodicCallback object at 0x7fde9025edd0>, current_time = 1570214862.969175

    def _update_next(self, current_time):
        callback_time_sec = self.callback_time / 1000.0
        if self.jitter:
            # apply jitter fraction
>           callback_time_sec *= 1 + (self.jitter * (random.random() - 0.5))
E           TypeError: unsupported operand type(s) for *: 'ZMQIOLoop' and 'float'

/usr/lib64/python2.7/site-packages/tornado/ioloop.py:1244: TypeError
[...]
======================================== 3 failed, 275 passed, 10 skipped, 4 warnings in 52.76 seconds ========================================
 * ERROR: dev-python/pyzmq-16.0.2::gentoo failed (test phase):
 *   (no error message)
Comment 1 Paolo Pedroni 2019-10-04 18:52:51 UTC
# emerge --info =dev-python/pyzmq-16.0.2
Portage 2.3.76 (python 3.6.9-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-9.2.0, glibc-2.29-r2, 5.2.15-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.2.15-gentoo-x86_64-Intel-R-_Core-TM-_i5-8400_CPU_@_2.80GHz-with-gentoo-2.6
KiB Mem:    16130028 total,   7043304 free
KiB Swap:   16777212 total,  16646908 free
Timestamp of repository gentoo: Thu, 03 Oct 2019 07:30:01 +0000
Head commit of repository gentoo: caaa892cef0b5975212c3ffe61ebaef71bb2b448
sh dash 0.5.9.1-r3
ld GNU gold (Gentoo 2.32 p2 2.32.0) 1.16
distcc 3.3.3 x86_64-pc-linux-gnu [enabled]
ccache version 3.7.2 [disabled]
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.16::gentoo, 3.6.9::gentoo
dev-util/ccache:          3.7.2::gentoo
dev-util/cmake:           3.14.6::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            9.2.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -frecord-gcc-switches -march=skylake -mabm -flto=6"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -frecord-gcc-switches -march=skylake -mabm -flto=6"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going y --with-bdeps y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe -frecord-gcc-switches -march=skylake -mabm -flto=6"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs cgroup compress-build-logs config-protect-if-modified distcc distlocks ebuild-locks ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms sign split-elog split-log strict strict-keepdir test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -frecord-gcc-switches -march=skylake -mabm -flto=6"
GENTOO_MIRRORS="http://mirrors.evowise.com/gentoo/ https://mirrors.evowise.com/gentoo/ http://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ http://mirror.netcologne.de/gentoo/"
LANG="it_IT.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -flto=6"
LINGUAS="it it_IT"
MAKEOPTS="-j19 -l6"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib acl acpi activities adns alsa amd64 ao audiofile bash-completion bluetooth branding bzip2 cairo caps cdda cddb cdparanoia cdr cli crypt css cups curl cxx dbus declarative dga djvu dri dts dvd dvdr emboss encode exif expat fbcon ffmpeg fftw flac fontconfig foomaticdb fortran ftp gd gdbm geoip gif gimp glamor gmp gnutls gphoto2 gpm graphviz gtk handbook iconv icu idn imagemagick imlib ipv6 java javascript jbig jpeg jpeg2k kde kipi kwallet lame lcms libass libnotify libsamplerate libtirpc lm_sensors lua lzma lzo mad mmap mng mp3 mp4 mpeg mplayer multilib musicbrainz ncurses nls nptl nsplugin offensive ogg openal opengl openmp pam pango pcre pdf phonon plasma png policykit postscript ppds pulseaudio qml qt5 rdesktop readline recode samba sctp sdl seccomp sndfile sockets speex spell split-usr sqlite ssl startup-notification subversion svg symlink syslog systemd sysvipc taglib test theora threads tidy tiff truetype udev udisks unicode upower usb vaapi vcd vim-syntax vnc vorbis wayland widgets win32codecs wmf wxwidgets x264 xattr xcb xcomposite xine xml xpm xscreensaver xv xvid yahoo zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="hda-intel virmidi" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="kodak ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="gnutls" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="it en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver wiki-publisher" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6 pypy pypy3" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-python/pyzmq-16.0.2::gentoo was built with the following:
USE="test -doc" ABI_X86="(64)" PYTHON_TARGETS="python2_7 python3_6 -python3_5 (-python3_7)"

# emerge -1pqv =dev-python/pyzmq-16.0.2
[ebuild   R   ] dev-python/pyzmq-16.0.2  USE="test -doc" PYTHON_TARGETS="python2_7 python3_6 -python3_5 (-python3_7)"